Page MenuHomePhabricator

[Feeds] Implement Content Service endpoint for "in the news"
Closed, ResolvedPublic2 Story Points

Description

This is to implement a service endpoint for returning the current "news" articles. For an MVP, this can simply scrape the news links from the Main Page or the news page[0] of the selected wiki, and can be restricted to enwiki for now.
(presumably should support a lang= parameter)

[0] https://en.wikipedia.org/wiki/Wikipedia:In_the_news

Event Timeline

Dbrant created this task.Apr 15 2016, 1:28 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 15 2016, 1:28 PM
Dbrant updated the task description. (Show Details)Apr 15 2016, 6:15 PM
Niedzielski updated the task description. (Show Details)Apr 22 2016, 6:10 PM
MBinder_WMF set the point value for this task to 2.May 13 2016, 6:15 PM

This would definitely be nice to have. I've considered integrating the English Wikipedia's "In the news" items into an IRC feed many times.

Change 295606 had a related patch set uploaded (by Mholloway):
In the News endpoint

https://gerrit.wikimedia.org/r/295606

Change 295606 merged by jenkins-bot:
In the News endpoint

https://gerrit.wikimedia.org/r/295606

Dbrant closed this task as Resolved.Jun 27 2016, 4:37 PM